package org.rcisoft.business.opmArticleCommentMessageError.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import java.math.BigInteger;

/**
* Created with cy on 2025年4月27日 下午3:36:30.
*/
@Data
@TableName("opm_article_comment_message_error")
public class OpmArticleCommentMessageError  extends CyIdIncreEntity<OpmArticleCommentMessageError> {


     /**
     * @desc 动态id
     * @column article_id
     * @default
     */
     @Excel(name = "动态id", orderNum = "0", width = 20)
     private BigInteger articleId;

     /**
     * @desc 类型，1：动态   2：评论   3：留言
     * @column type
     * @default
     */
     @Excel(name = "类型，1：动态   2：评论   3：留言", orderNum = "1", width = 20)
     private String eventType;

     /**
     * @desc 内容，评论/留言存内容，动态不存内容
     * @column content
     * @default
     */
     @Excel(name = "内容，评论/留言存内容，动态不存内容", orderNum = "2", width = 20)
     private String content;

     /**
     * @desc 审核类型，0：自动审核    1：人工审核
     * @column exam_type
     * @default
     */
     @Excel(name = "审核类型，0：自动审核    1：人工审核", orderNum = "3", width = 20)
     private String examType;


     /**
     * @desc 失败原因
     * @column reason
     * @default
     */
     @Excel(name = "失败原因", orderNum = "4", width = 20)
     private String reason;


     private String createUser;
     private String updateUser;

     /**
      * 开始时间
      */
     @TableField(exist = false)
     private String beginTime;

     /**
      * 结束时间
      */
     @TableField(exist = false)
     private String endTime;

     @TableField(exist = false)
     private String createUserName;
}

