package org.rcisoft.business.opmArticleCommentMessageError.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.opmArticleCommentMessageError.entity.OpmArticleCommentMessageError;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2025年4月27日 下午3:36:30.
 */
public interface OpmArticleCommentMessageErrorService {

    /**
    * 保存 动态/评论/留言错误表
    * @param opmArticleCommentMessageError
    * @return
    */
    CyPersistModel persist(OpmArticleCommentMessageError opmArticleCommentMessageError);

    /**
    * 删除 动态/评论/留言错误表
    * @param opmArticleCommentMessageError
    * @return
    */
    CyPersistModel remove(OpmArticleCommentMessageError opmArticleCommentMessageError);

    /**
    * 逻辑删除 动态/评论/留言错误表
    * @param opmArticleCommentMessageError
    * @return
    */
    CyPersistModel removeLogical(OpmArticleCommentMessageError opmArticleCommentMessageError);

    /**
    * 修改 动态/评论/留言错误表
    * @param opmArticleCommentMessageError
    * @return
    */
    CyPersistModel merge(OpmArticleCommentMessageError opmArticleCommentMessageError);

    /**
    * 根据id查询 动态/评论/留言错误表
    * @param id
    * @return
    */
    OpmArticleCommentMessageError findById(int id);

    /**
    * 分页查询 动态/评论/留言错误表
    * @param opmArticleCommentMessageError
    * @return
    */
    IPage<OpmArticleCommentMessageError> findAllByPagination(CyPageInfo<OpmArticleCommentMessageError> paginationUtility,
              OpmArticleCommentMessageError opmArticleCommentMessageError);


    /**
    * 查询list 动态/评论/留言错误表
    * @param opmArticleCommentMessageError
    * @return
    */
    List<OpmArticleCommentMessageError> findAll(OpmArticleCommentMessageError opmArticleCommentMessageError);


    /**
    * 导出动态/评论/留言错误表
    * @return
    */
    List<OpmArticleCommentMessageError> export(OpmArticleCommentMessageError opmArticleCommentMessageError);

}
