package org.rcisoft.core.util;

import org.rcisoft.business.memInfo.dao.MemInfoRepository;
import org.rcisoft.business.memInfo.entity.MemInfo;
import org.rcisoft.core.exception.CyServiceException;
import org.rcisoft.sys.dictionary.entity.DictData;
import org.rcisoft.sys.dictionary.service.DictionaryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;

import java.util.List;

@Configuration
public class DictionaryUtil {

    /**
     * 获取数据字典键值
     */
    public DictData getDictValue(List<DictData> dictDataList, String label) {
        return dictDataList.stream()
                .filter(item -> item.getDictLabel().equals(label))
                .findFirst()
                .orElse(null);
    }
}
